;一番最初に呼び出されるファイル

[title name="いきなり魔王"]

;ティラノスクリプトが標準で用意している便利なライブラリ群
;コンフィグ、CG、回想モードを使う場合は必須
@call storage="tyrano.ks"

;バッジ
@call storage="novecole.ks"


;最初は右下のメニューボタンを非表示にする
[hidemenubutton]
/*
レイヤー構造については以下を想定します
	レイヤー0：道具、呪文の名前
	レイヤー１：こうさんしますかのもじ
	レイヤー２：メッセージウィンドウ
	レイヤー３：ステータス
	レイヤー４：立ち絵
	レイヤー5：エフェクト
	
	※	レイヤー２：メッセージウィンドウはpositionでフレームの指定をすればいいけど面倒なので調整できればこれが出来るはず
	レイヤー数を変更するにはConfig.tjsをいじる
*/

;ファイルの事前読み出し（preload）


;ゲームで必ず必要な初期化処理はこのファイルに記述するのがオススメ
[call storage="preload.ks" target="*file_preload"]


/* 変数(ステータスなど) */

;名前、ステータス画面に表示される名前
[eval exp="f.Player =''"]
[eval exp="f.Brave  ='ゆうしゃ'"]
[eval exp="f.Deamon ='まおう'"]

;勇者のレベル、ＨＰ、ＭＰ
[eval exp="f.braveLevel = '　1'"]
[eval exp="f.braveLifePoint = 10"]
[eval exp="f.braveMagicPoint = 0"]

;魔王のレベル、ＨＰ、ＭＰ
[eval exp="f.deamonLevel = '99'"]
[eval exp="f.deamonLifePoint = 999"]
[eval exp="f.deamonMagicPoint = 50"]

;ステータスフラグ、ターンの頭で判定し、今不意打ち条件がそろっているか、チェンジ継続中か、タイムリープ使用直後かの判定。
[eval exp="f.surpriseAttckFlag = 1"]
[eval exp="f.changeFlag = 0"]
[eval exp="f.timeReepFlag = 0"]

; ツルーエンドにたどり着いたかどうかのフラグだが現在は未使用
[eval exp="f.endFlag = 0"]

; 勇者の道具（消え物）薬草、エーテル
[eval exp="f.braveLeaf = 1"]
[eval exp="f.braveEther = 1"]

; 魔王の道具（消え物）薬草、エーテル
[eval exp="f.daemonLeaf = 1"]
[eval exp="f.daemonEther = 1"]

; ゲームオーバーになった回数をカウントする
[eval exp="f.deadcounter = 0"]

; 通過フラグ ヒントの判定で使用、ホーリー、チェンジ、不意打ち実行済みの場合立てる
[eval exp="f.hollyFlag = 0"]
[eval exp="tf.ChangeDoneFlag = 0"]
[eval exp="tf.SurpriseAttckDoneFlag = 0"]

; 勇者、魔王になって何ターン継続しているかを記録する。チラつき防止用に使用
[eval exp="f.TurnCourseCounter = 0"]

; 描画フラグ
[eval exp="tf.DrawFlag = 0"]


/* 変数終了 */

;マクロ
;battle.ks以外では使用しない
;フラグ値の変更によってステータスを書き換える
[macro name=brave_status]
	[eval exp="tf.tmp_point = f.braveLifePoint"]
    [hankaku_trans]
	[eval exp="tf.dl_braveLifePoint = tf.tmp_point"]

	[eval exp="tf.tmp_point = f.braveMagicPoint"]
    [hankaku_trans]
	[eval exp="tf.dl_braveMagicPoint = tf.tmp_point"]

 [layopt layer=3 visible=true]
 [ptext  layer=3 page=fore text="ゆうしゃ"              size=30 x=165 y=70 color=white]
 [ptext  layer=3 page=fore text=&f.braveLevel          size=30 x=340 y=70 color=white]
 [ptext  layer=3 page=fore text=&tf.dl_braveLifePoint  size=30 x=458 y=70 color=white]
 [ptext  layer=3 page=fore text=&tf.dl_braveMagicPoint size=30 x=578 y=70 color=white]
 [ptext layer=3 page=fore text="LV" size=30 x=343 y=20 size=40 color=white time="0"]
 [ptext layer=3 page=fore text="HP" size=30 x=474 y=20 size=40 color=white time="0"]
 [ptext layer=3 page=fore text="MP" size=30 x=602 y=20 size=40 color=white time="0"]
[endmacro]

[macro name=arcenmy_status]
	[eval exp="tf.tmp_point = f.deamonLifePoint"]
    [hankaku_trans]
	[eval exp="tf.dl_deamonLifePoint = tf.tmp_point"]

	[eval exp="tf.tmp_point = f.deamonMagicPoint"]
    [hankaku_trans]
	[eval exp="tf.dl_deamonMagicPoint = tf.tmp_point"]
 
 [layopt layer=3 visible=true]
 [ptext layer=3 page=fore text="まおう"               size=30 x=165 y=70 color=white]
 [ptext layer=3 page=fore text=&f.deamonLevel          size=30 x=340 y=70 color=white]
 [ptext layer=3 page=fore text=&tf.dl_deamonLifePoint  size=30 x=458 y=70 color=white]
 [ptext layer=3 page=fore text=&tf.dl_deamonMagicPoint size=30 x=578 y=70 color=white]
 [ptext layer=3 page=fore text="LV" size=30 x=343 y=20 size=40 color=white time="0"]
 [ptext layer=3 page=fore text="HP" size=30 x=474 y=20 size=40 color=white time="0"]
 [ptext layer=3 page=fore text="MP" size=30 x=602 y=20 size=40 color=white time="0"]
[endmacro]


[macro name=hankaku_trans]
 ;半角数字を全角にするよう、javascriptで実装しようと思ったがとりあえずティラノスクリプトのみで実装する

[if exp="tf.tmp_point==0"]
	[eval exp="tf.tmp_point = '　　0'"]
[elsif exp="tf.tmp_point==10"]
	[eval exp="tf.tmp_point = '　10'"]
[elsif exp="tf.tmp_point==20"]
	[eval exp="tf.tmp_point = '　20'"]
[elsif exp="tf.tmp_point==30"]
	[eval exp="tf.tmp_point = '　30'"]
[elsif exp="tf.tmp_point==40"]
	[eval exp="tf.tmp_point = '　40'"]
[elsif exp="tf.tmp_point==50"]
	[eval exp="tf.tmp_point = '　50'"]
[elsif exp="tf.tmp_point==60"]
	[eval exp="tf.tmp_point = '　60'"]
[elsif exp="tf.tmp_point==70"]
	[eval exp="tf.tmp_point = '　70'"]
[elsif exp="tf.tmp_point==80"]
	[eval exp="tf.tmp_point = '　80'"]
[elsif exp="tf.tmp_point==90"]
	[eval exp="tf.tmp_point = '　90'"]
[elsif exp="tf.tmp_point==100"]
	[eval exp="tf.tmp_point = '100'"]
[elsif exp="tf.tmp_point==110"]
	[eval exp="tf.tmp_point = '110'"]
[elsif exp="tf.tmp_point==120"]
	[eval exp="tf.tmp_point = '120'"]
[elsif exp="tf.tmp_point==130"]
	[eval exp="tf.tmp_point = '130'"]
[elsif exp="tf.tmp_point==140"]
	[eval exp="tf.tmp_point = '140'"]
[elsif exp="tf.tmp_point==150"]
	[eval exp="tf.tmp_point = '150'"]
[elsif exp="tf.tmp_point==160"]
	[eval exp="tf.tmp_point = '160'"]
[elsif exp="tf.tmp_point==999"]
	[eval exp="tf.tmp_point = '999'"]
[else]
	; ここにはまず来ないが、不定とする
	[eval exp="tf.tmp_point = 'Inf'"]
[endif]


[endmacro]

[macro name=action_command]
;選択肢追加
 [glink storage="battle.ks" clickse="01_b_008.ogg" name="command1" target=*atack  text="たたかう"  layer=1 size=30 x=25  y=510]
 [glink storage="battle.ks" clickse="01_b_008.ogg" name="command1" target=*run_away text="にげる"  layer=1 size=30 x=25  y=565]
 [glink storage="magic.ks" clickse="01_b_008.ogg" name="command1" target=*magic  text="じゅもん"  layer=1 size=30 x=25  y=620]
 [glink storage="tool.ks" clickse="01_b_008.ogg" name="command1" target=*tool  text="どうぐ"  layer=1 size=30 x=25  y=675]
[endmacro]


[macro name=arcenmy_action_command]
;選択肢追加
 ;[button name="command1" graphic="3_Command/Atack.png"  enterimg="3_Command/Atack_cursor.png" clickse="01_b_008.ogg" storage=battle.ks target=*arcenemy_atack    hint="物理で攻撃"       x=40  y=510]
 ;[button name="command1" graphic="3_Command/Escape.png" enterimg="3_Command/Escape_cursor.png" clickse="01_b_008.ogg" storage=battle.ks target=*arcenemy_run_away hint="逃走"   x=40  y=565]
 ;[button name="command1" graphic="3_Command/Msgic.png"  enterimg="3_Command/Msgic_cursor.png" clickse="01_b_008.ogg" storage=magic.ks  target=*arcenemy_magic    hint="魔法を使う" x=40  y=620]
 ;[button name="command1" graphic="3_Command/Tool.png"   enterimg="3_Command/Tool_cursor.png" clickse="01_b_008.ogg" storage=tool.ks   target=*arcenemy_tool     hint="道具を使う"     x=40  y=675]
 
  [glink storage="battle.ks" name="command1" clickse="01_b_008.ogg" target=*arcenemy_atack  text="たたかう"  layer=1 size=30 x=25  y=510]
 [glink storage="battle.ks" name="command1" clickse="01_b_008.ogg" target=*arcenemy_run_away text="にげる"  layer=1 size=30 x=25  y=565]
 [glink storage="magic.ks" name="command1" clickse="01_b_008.ogg" target=*arcenemy_magic  text="じゅもん"  layer=1 size=30 x=25  y=620]
 [glink storage="tool.ks" name="command1" clickse="01_b_008.ogg" target=*arcenemy_tool  text="どうぐ"  layer=1 size=30 x=25  y=675]
[endmacro]

; 勇者の魔法
[macro name=magic_command]
;サブウィンドウを表示
[image layer=0 name = "brave_name" page=fore visible=true top=473 left=295 storage ="arcenemy/2_battle/2_Window/sub_window.png"]
;[button name="command1" graphic="4_BraveMagic/fire.png"      enterimg="4_BraveMagic/fire_cursor.png" clickse="01_b_008.ogg"    target=*check_magic exp="tf.magic=1" hint="炎の魔法／消費MP30"     x=320 y=510]
;[button name="command1" graphic="4_BraveMagic/Blizzard.png"  enterimg="4_BraveMagic/Blizzard_cursor.png" clickse="01_b_008.ogg" target=*check_magic exp="tf.magic=2" hint="氷の魔法／消費MP30" x=320 y=565]
;[button name="command1" graphic="4_BraveMagic/Change.png"    enterimg="4_BraveMagic/Change_cursor.png" clickse="01_b_008.ogg"  target=*check_magic exp="tf.magic=3" hint="相手と体を入れ替える魔法／消費MP30" x=320 y=620]
;[button name="command1" graphic="4_BraveMagic/Holy.png"      enterimg="4_BraveMagic/Holy_cursor.png" clickse="01_b_008.ogg"    target=*check_magic exp="tf.magic=4" hint="光の魔法／消費MP100"   x=625 y=510]

 [glink name="command1" clickse="01_b_008.ogg" target=*check_magic exp="tf.magic=1" text="ファイラ(MP30)" x=290 y=510]
 [glink name="command1" clickse="01_b_008.ogg" target=*check_magic exp="tf.magic=2" text="ブリザド(MP30)" x=290 y=565]
  [glink name="command1" clickse="01_b_008.ogg" target=*check_magic exp="tf.magic=3" text="チェンジ(MP30)" x=290 y=620]
   [glink name="command1" clickse="01_b_008.ogg" target=*check_magic exp="tf.magic=4" text="ホーリー(MP100)" x=595 y=510]
[endmacro]

; 魔王の魔法
[macro name=arcenmy_magic_command]
;サブウィンドウを表示
[image layer=0 name = "brave_name" page=fore visible=true top=473 left=295 storage ="arcenemy/2_battle/2_Window/sub_window.png"]
;[button name="command1" graphic="6_ArcenemyMagic/Helfire.png"  enterimg="6_ArcenemyMagic/Helfire_cursor.png" clickse="01_b_008.ogg"  target=*arcenemy_check_magic  exp="tf.arcenemy_magic=1" hint="地獄の炎魔法／消費MP50" x=320 y=510]
;[button name="command1" graphic="6_ArcenemyMagic/Icebeam.png"  enterimg="6_ArcenemyMagic/Icebeam_cursor.png" clickse="01_b_008.ogg"  target=*arcenemy_check_magic  exp="tf.arcenemy_magic=2" hint="絶対零度の氷結魔法／消費MP50" x=320 y=565]
;[button name="command1" graphic="6_ArcenemyMagic/Timeleap.png" enterimg="6_ArcenemyMagic/Timeleap_cursor.png" clickse="01_b_008.ogg" target=*arcenemy_check_magic  exp="tf.arcenemy_magic=3" hint="時を巻き戻す魔法／消費MP100" x=625 y=510]

 [glink name="command1" target=*check_magic clickse="01_b_008.ogg"  target=*arcenemy_check_magic  exp="tf.arcenemy_magic=1" text="ヘルファイア（MP50）" x=290 y=510]
  [glink name="command1" target=*check_magic clickse="01_b_008.ogg"  target=*arcenemy_check_magic  exp="tf.arcenemy_magic=2" text="アイスビーム（MP50）" x=290 y=565]
   [glink name="command1" target=*check_magic clickse="01_b_008.ogg" target=*arcenemy_check_magic  exp="tf.arcenemy_magic=3" text="タイムリープ（MP100）" x=595 y=510]

[endmacro]

; -----------------------------------------------------------------------

; 勇者の道具
[macro name=tool_command]
;サブウィンドウを表示
[image layer=0 name = "brave_name" page=fore visible=true top=473 left=295 storage ="arcenemy/2_battle/2_Window/sub_window.png"]
;[button name="command1" graphic="5_BraveTool/BraveDiary.png"          enterimg="5_BraveTool/BraveDiary_cursor.png" clickse="02_b_006.ogg"         target=*brave_diary   hint="勇者の俺様日記" x=320 y=510]
;[button name="command1" graphic="5_BraveTool/TeacherMail.png"         enterimg="5_BraveTool/TeacherMail_cursor.png" clickse="02_b_006.ogg"        target=*brave_letter  hint="勇者の悪い癖について書かれた手紙" x=320 y=565]
;[button name="command1" graphic="5_BraveTool/BattleEsotericBook.png"  enterimg="5_BraveTool/BattleEsotericBook_cursor.png" clickse="02_b_006.ogg" target=*brave_book    hint="魔王の倒し方について書かれた本"   x=320 y=620]
;[button name="command1" graphic="5_BraveTool/MagicMagazine.png"               enterimg="5_BraveTool/MagicMagazine_cursor.png" clickse="02_b_006.ogg"              target=*brave_dummy   hint="魔法の取説"                           x=320 y=675]

[glink name="command1" clickse="02_b_006.ogg" text="ゆうしゃのにっき" target=*brave_diary x=290 y=510]
[glink name="command1" clickse="02_b_006.ogg" text="ししょうのてがみ" target=*brave_letter   x=290 y=565]
[glink name="command1" clickse="02_b_006.ogg" text="たたかいのおうぎしょ" target=*brave_book    x=290 y=620]
[glink name="command1" clickse="02_b_006.ogg" text="げっかんまほうガイド" target=*brave_dummy x=290 y=675]

;消え物のレイアウト
;[button name="command1" graphic="5_BraveTool/Herb.png"   enterimg="5_BraveTool/Herb_cursor.png" clickse="01_b_008.ogg"  cond="f.braveLeaf > 0"                      target=*breve_select_tool   exp="tf.tool=1" hint="HP50回復"           x=655 y=510]
;[button name="command1" graphic="5_BraveTool/Ether.png"  enterimg="5_BraveTool/Ether_cursor.png" clickse="01_b_008.ogg" cond="f.braveLeaf > 0 && f.braveEther > 0"  target=*breve_select_tool   exp="tf.tool=2" hint="MP50回復する飲み薬" x=655 y=565]
;[button name="command1" graphic="5_BraveTool/Ether.png"  enterimg="5_BraveTool/Ether_cursor.png" clickse="01_b_008.ogg" cond="f.braveLeaf == 0 && f.braveEther > 0" target=*breve_select_tool   exp="tf.tool=2" hint="MP50回復する飲み薬" x=655 y=510]

[glink name="command1" text="やくそう" target=*breve_select_tool  clickse="01_b_008.ogg" cond="f.braveLeaf > 0" exp="tf.tool=1" x=655 y=510]
[glink name="command1" text="エーテル" target=*breve_select_tool  clickse="01_b_008.ogg" cond="f.braveLeaf > 0 && f.braveEther > 0" exp="tf.tool=2" x=655 y=565]
[glink name="command1" text="エーテル" target=*breve_select_tool  clickse="01_b_008.ogg" cond="f.braveLeaf == 0 && f.braveEther > 0" exp="tf.tool=2" x=655 y=510]

[endmacro]

; 魔王の道具
[macro name=arcenemy_tool_command]

[image layer=0 name = "brave_name" page=fore visible=true top=473 left=295 storage ="arcenemy/2_battle/2_Window/sub_window.png"]
;[button name="command1" graphic="7_ArcenemyTool/ArcdevilDiary.png" enterimg="7_ArcenemyTool/ArcdevilDiary_cursor.png" clickse="02_b_006.ogg" target=*arcenemy_diary  hint="魔王の弱点について書かれた日記"                 x=320 y=510]
;[button name="command1" graphic="7_ArcenemyTool/SitennouMail.png"  enterimg="7_ArcenemyTool/SitennouMail_cursor.png" clickse="02_b_006.ogg" target=*arcenemy_letter  hint="四天王が勇者達に負けた理由について書かれた手紙" x=320 y=565]
;[button name="command1" graphic="7_ArcenemyTool/ArcenemyKnowledge.png"         enterimg="7_ArcenemyTool/ArcenemyKnowledge_cursor.png"        clickse="02_b_006.ogg" target=*arcenemy_dummy   hint="勇者に負けない魔王になる方法"                                         x=320 y=620]

[glink name="command1" text="まおうのにっき" clickse="02_b_006.ogg" target=*arcenemy_diary   x=290 y=510]
[glink name="command1" text="４てんのうのてがみ" clickse="02_b_006.ogg" target=*arcenemy_letter  x=290 y=565]
[glink name="command1" text="だいまおうのこころえ" clickse="02_b_006.ogg" target=*arcenemy_dummy  x=290 y=620]

;消え物のレイアウト1
;[button name="command1" graphic="7_ArcenemyTool/Herb.png"          enterimg="7_ArcenemyTool/Herb_cursor.png" clickse="01_b_008.ogg"  target=*arcenemy_select_tool   cond="f.daemonLeaf > 0" exp="tf.arcenemy_tool=1" hint="HP50回復"                                 x=290 y=675]
;[button name="command1" graphic="7_ArcenemyTool/Ether.png"         enterimg="7_ArcenemyTool/Ether_cursor.png" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf > 0 && f.daemonEther > 0" exp="tf.arcenemy_tool=2" hint="MP50回復する飲み薬"  x=655 y=510]
;[button name="command1" graphic="7_ArcenemyTool/Ether2.png"        enterimg="7_ArcenemyTool/Ether2_cursor.png" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf > 0 && f.daemonEther > 1" exp="tf.arcenemy_tool=2" hint="MP50回復する飲み薬" x=655 y=565]

[glink name="command1" text="やくそう" clickse="01_b_008.ogg"  target=*arcenemy_select_tool   cond="f.daemonLeaf > 0" exp="tf.arcenemy_tool=1"                                 x=290 y=675]
[glink name="command1" text="エーテル" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf > 0 && f.daemonEther > 0" exp="tf.arcenemy_tool=2"   x=655 y=510]
[glink name="command1" text="エーテル" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf > 0 && f.daemonEther > 1" exp="tf.arcenemy_tool=2"  x=655 y=565]

;消え物のレイアウト2
;[button name="command1" graphic="7_ArcenemyTool/Ether.png"         enterimg="7_ArcenemyTool/Ether_cursor.png" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf == 0 && f.daemonEther > 0" exp="tf.arcenemy_tool=2" hint="MP50回復する飲み薬" x=320  y=675]
;[button name="command1" graphic="7_ArcenemyTool/Ether2.png"        enterimg="7_ArcenemyTool/Ether2_cursor.png" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf == 0 && f.daemonEther > 1" exp="tf.arcenemy_tool=2" hint="MP50回復する飲み薬" x=655 y=510]
[glink name="command1" text="エーテル" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf == 0 && f.daemonEther > 0" exp="tf.arcenemy_tool=2" x=290  y=675]
[glink name="command1" text="エーテル" clickse="01_b_008.ogg" target=*arcenemy_select_tool   cond="f.daemonLeaf == 0 && f.daemonEther > 1" exp="tf.arcenemy_tool=2" x=655 y=510]
[endmacro]


[macro name=brave_dead]

	[eval exp="f.braveLifePoint = 0"]
	[freeimage layer=3]
	[freeimage layer=2 ]

	;ゲームオーバー音楽をイン
	[stopbgm ]
	[playbgm storage="04_game_maoudamashii_6_dangeon23.ogg"]


	[eval exp="tf.tmp_point = f.braveLifePoint"]
    [hankaku_trans]
	[eval exp="tf.dl_braveLifePoint = tf.tmp_point"]

	[eval exp="tf.tmp_point = f.braveMagicPoint"]
    [hankaku_trans]
	[eval exp="tf.dl_braveMagicPoint = tf.tmp_point"]

	;HP MPの再表示
	 [ptext layer=3 page=fore text="ゆうしゃ"              size=30 x=190 y=70 color=0xFF7862 time="0"]
	 [ptext layer=3 page=fore text=&f.braveLevel          size=30 x=320 y=70 color=0xFF7862 time="0"]
	 [ptext layer=3 page=fore text=&tf.dl_braveLifePoint  size=30 x=428 y=70 color=0xFF7862 time="0"]
	 [ptext layer=3 page=fore text=&tf.dl_braveMagicPoint size=30 x=578 y=70 color=0xFF7862 time="0"]
	
	 [ptext layer=3 page=fore text="LV" size=30 x=343 y=20 size=40 color=0xFF7862 time="0"]
	 [ptext layer=3 page=fore text="HP" size=30 x=474 y=20 size=40 color=0xFF7862 time="0"]
	 [ptext layer=3 page=fore text="MP" size=30 x=602 y=20 size=40 color=0xFF7862 time="0"]


	[font color=0xFF7862]
	;背景の表示
[endmacro]


;攻撃を受けた時のエフェクト(勇者、魔王共通)
[macro name=atack_receive_efect]
	[quake count=3 time=300 hmax=20 vmax=20]
[endmacro]

;魔王に攻撃を与えた場合
[macro name=atack_arc_effect]
;	[wait time=60]
;	[chara_mod name="maou" face="normal" time=0]
;	[wait time=100]
	[chara_mod name="maou" face="damage" time=0]
	[wait time=60]
	[chara_mod name="maou" face="normal" time=0]
	[wait time=100]
	[chara_mod name="maou" face="damage" time=0]
	[wait time=60]
	[chara_mod name="maou" face="normal" time=0]
	[wait time=100]
	[chara_mod name="maou" face="damage" time=0]
	[wait time=60]
	[chara_mod name="maou" face="normal" time=0]
[endmacro]

[macro name=attack_effect]
;	[wait time=60]
;	[chara_mod name="yuusha" face="normal" time=0]
;	[wait time=100]
	[chara_mod name="yuusha" face="damage" time=0]
	[wait time=60]
	[chara_mod name="yuusha" face="normal" time=0]
	[wait time=100]
	[chara_mod name="yuusha" face="damage" time=0]
	[wait time=60]
	[chara_mod name="yuusha" face="normal" time=0]
	[wait time=100]
	[chara_mod name="yuusha" face="damage" time=0]
	[wait time=60]
	[chara_mod name="yuusha" face="normal" time=0]
[endmacro]


;戦闘シーンのメッセージの表示
[macro name=battel_masseage_window]
	;メッセージウィンドウの設定
	[position layer="message0" left=20 top=450 width=970 height=200 opacity=0 page=fore visible=true]

	;文字が表示される領域を調整
	[position layer=message0 page=fore margint="45" marginl="50" marginr="50" marginb="80"]
[endmacro]

;戦闘シーンのメッセージ(死亡時)の表示
[macro name=battel_dead_masseage_window]
	;メッセージウィンドウの設定
	 [position layer="message1" left=20 top=450 width=970 height=200 opacity=0 page=fore visible=false]
	 [position layer=message1 page=fore margint="45" marginl="50" marginr="50" marginb="80"]
[endmacro]


[macro name=brave_reset_window]
;コマンドボタンを一回クリアにする

[clearfix name="command1"]
[clearfix name="brave_name"]
[cm]

;[freeimage layer=3]
; HP、MPの再表示
;[brave_status]

[endmacro]


[macro name=arcenemy_reset_window]
;コマンドボタンを一回クリアにする

[clearfix name="command1"]
[clearfix name="brave_name"]
[cm]

;[freeimage layer=3]
; HP、MPの再表示

;[arcenmy_status]

[endmacro]




; グリフカーソルを変更する
;[glyph line="cursor.png"]

;フォントをドラクエ風にする
[deffont face=webfont_1 bold=false] 

;[deffont face="ＭＳ Ｐ明朝" bold=false] 

[resetfont]


;キャラクター(立ち絵)の設定
[chara_new  name="m_window" storage="arcenemy/2_battle/2_Window/frame.png" width=1024 height=315  jname="window" ]

[chara_new  name="maou" storage="arcenemy/2_battle/1_StandingPicture/Archenemy1.png" jname="魔王"  ]
[chara_face name="maou" face="done"   storage="arcenemy/2_battle/1_StandingPicture/Archenemy_anime.gif"]
[chara_face name="maou" face="normal" storage="arcenemy/2_battle/1_StandingPicture/Archenemy1.png"]
[chara_face name="maou" face="attack" storage="arcenemy/2_battle/1_StandingPicture/Archenemy2.png"]
[chara_face name="maou" face="damage" storage="arcenemy/2_battle/1_StandingPicture/Archenemy1_damage.png"]

[chara_new  name="yuusha" storage="arcenemy/2_battle/1_StandingPicture/Brave.png" jname="勇者"  ]
[chara_face name="yuusha" face="normal" storage="arcenemy/2_battle/1_StandingPicture/Brave.png"]
[chara_face name="yuusha" face="damage" storage="arcenemy/2_battle/1_StandingPicture/Brave_damage.png"]
[chara_face name="yuusha" face="done"   storage="arcenemy/2_battle/1_StandingPicture/Brave_anime.gif"]
[chara_face name="yuusha" face="attack" storage="arcenemy/2_battle/1_StandingPicture/Brave2.png"]

[chara_new  name="player" storage="arcenemy/2_battle/1_StandingPicture/player.png" jname="主人公"  ]
[chara_face name="player" face="normal" storage="arcenemy/2_battle/1_StandingPicture/player.png"]
[chara_face name="player" face="done"   storage="arcenemy/2_battle/1_StandingPicture/player_anime.gif"]
[chara_face name="player" face="attack" storage="arcenemy/2_battle/1_StandingPicture/player2.png"]





;メッセージボックスは非表示
@layopt layer="message" visible=false



/*
;---------------
;デバックよう
;背景の表示
[bg storage="back.png" time="100"]
[eval exp="f.surpriseAttckFlag=0"]
[eval exp="f.changeFlag = 0"]
[eval exp="f.braveMagicPoint = 100"]
[eval exp="f.deamonMagicPoint = 100"]
[eval exp="f.Player ='ベルチン'"]

;メッセージウィンドウの設定
[position layer="message0" left=20 top=450 width=920 height=200 opacity=0 page=fore visible=true]

;メッセージウィンドウの登場
[chara_show layer=2 name="m_window" top=475 left=0  time=0]


;メッセージウィンドウの表示
@layopt layer=message0 visible=true
;文字が表示される領域を調整
[position layer=message0 page=fore margint="45" marginl="50" marginr="70" marginb="40"]
[chara_show layer=4 name="yuusha" top=292 left=423 ]

@jump storage="battle.ks"
;@jump storage="end.ks" target="*trueend"
;---------------
*/

;SEとBGMの音量調整（1～100）⇒（作業時うるさいので…。音声ファイル編集調整するまでの一次的措置です…）
[bgmopt volume=15 ]
[seopt volume=20 ]

;タイトル画面へ移動
@jump storage="effect.ks"
;@jump storage="title.ks"

[s]


